// Protos for recent.library
// (c)1999 by Rdiger Hanke
#ifndef _INCLUDE_CLIB_RECENT_PROTOS_H
#define _INCLUDE_CLIB_RECENT_PROTOS_H

#include <exec/types.h>
#include <intuition/intuition.h>

#ifdef __cplusplus
extern "C" {
#endif

ULONG AllocRecentHandle( STRPTR appname, APTR *handle );
void FreeRecentHandle( APTR *handle );
BOOL AddRecentFile( APTR handle, ULONG group, STRPTR filename );
BOOL AddRecentGroup( APTR handle, ULONG group, UBYTE maxEntries );
LONG GetRecentInfo( APTR handle, ULONG group, struct RecentInfo *recentInfoArray, UBYTE arraySize );
void SaveRecentList( APTR handle );
BOOL SetRecentSize( APTR handle, ULONG group, UBYTE newSize );
struct MenuItem *GetRecentMenu( APTR handle, ULONG group );
void CloseRecentHandle( APTR *handle );

#ifdef __cplusplus
}
#endif

#endif
