// Defines and structures for recent.library
// (c)1999 by Rdiger Hanke
#ifndef _INCLUDE_LIBRARIES_RECENT_H
#define _INCLUDE_LIBRARIES_RECENT_H

#include <exec/types.h>
#include <dos/dos.h>

struct RecentInfo
{
    STRPTR
        ri_FileName,                    // File name only (for menu display)
        ri_Path;                        // File name with full path (for file access)
    struct DateStamp
        ri_LastAccess;                  // Last access
};

#define RECENT_GROUP_ASCII              1
#define RECENT_GROUP_ANSI               2
#define RECENT_GROUP_SCRIPT             3
#define RECENT_GROUP_AREXX              4
#define RECENT_GROUP_GUIDE              5
#define RECENT_GROUP_CATALOG            6
#define RECENT_GROUP_DOCUMENT           7
#define RECENT_GROUP_MACRO              8
#define RECENT_GROUP_HTML               9
#define RECENT_GROUP_SAMPLE            10
#define RECENT_GROUP_SCORE             11
#define RECENT_GROUP_MOD               12
#define RECENT_GROUP_IMAGE             13
#define RECENT_GROUP_BRUSH             14
#define RECENT_GROUP_VECTORIMAGE       15
#define RECENT_GROUP_PALETTE           16
#define RECENT_GROUP_MASK              17
#define RECENT_GROUP_PROJECT           18
#define RECENT_GROUP_CSOURCE           19
#define RECENT_GROUP_ASMSOURCE         20
#define RECENT_GROUP_ESOURCE           21
#define RECENT_GROUP_BASICSOURCE       22
#define RECENT_GROUP_JAVESOURCE        23
#define RECENT_GROUP_REBOLSCRIPT       24
#define RECENT_GROUP_INCLUDE           25
#define RECENT_GROUP_OBJECTFILE        26
#define RECENT_GROUP_LINKLIB           27
#define RECENT_GROUP_EXECUTABLE        28
#define RECENT_GROUP_PREFS             29
#define RECENT_GROUP_CONFIG            30
#define RECENT_GROUP_FONT              31

#endif
